%define         tarname  zope.interface
%define		name python-zope-interface
%define 	version 3.6.1

Summary:        Zope Interface module for Python
Name:           %{name}
Version:        %{version}
Release:        %mkrel 2
Source0:        http://pypi.python.org/packages/source/z/%{tarname}/%{tarname}-%{version}.tar.gz
License:        Zope Public License
Group:          Development/Python
URL:            http://www.zope.org/Wikis/Interfaces/FrontPage
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel

%description
This package provides the zope Interface module.

Interfaces are objects that specify (document) the external behavior
of objects that "provide" them.  An interface specifies behavior
through:

- Informal documentation in a doc string

- Attribute definitions

- Invariants, which are conditions that must hold for objects that
  provide the interface

Attribute definitions specify specific attributes. They define the
attribute name and provide documentation and constraints of attribute
values. Attribute definitions can take a number of forms.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.txt
%py_platsitedir/*


%changelog
* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 3.6.1-2mdv2011.0
+ Revision: 668052
- mass rebuild

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.1-1mdv2011.0
+ Revision: 603077
- update to new version 3.6.1

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 3.5.3-2mdv2011.0
+ Revision: 590793
- rebuild

* Wed Feb 24 2010 Lev Givon <lev@mandriva.org> 3.5.3-1mdv2010.1
+ Revision: 510736
- Update to 3.5.3.

* Thu Sep 17 2009 Michael Scherer <misc@mandriva.org> 3.5.2-1mdv2010.0
+ Revision: 443922
- update to 3.5.2
- new url to download tarball

* Mon Aug 31 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.5.0-3mdv2010.0
+ Revision: 423101
- install python scripts in py_platsitedir

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 3.5.0-2mdv2009.1
+ Revision: 324058
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 3.4.1-2mdv2009.1
+ Revision: 318614
- rebuild for python 2.6

* Sun Aug 17 2008 Lev Givon <lev@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 273067
- Update to 3.4.1.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.3.0-4mdv2009.0
+ Revision: 219584
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 3.3.0-3mdv2008.0
+ Revision: 67517
- rebuild
- rebuild

* Wed Apr 25 2007 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2008.0
+ Revision: 18066
- Update to 3.3.0.


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2007.0
+ Revision: 88145
- Import python-zope-interface

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 3.0.1-2mdv2007.1
- update file list

* Mon May 09 2005 Michael Scherer <misc@mandriva.org> 3.0.1-1mdk
- Initial package

